package com.bonus.sgzb.base.mapper;

import com.bonus.sgzb.base.domain.DataReceiveDetail;
import com.bonus.sgzb.base.domain.DataReceiveInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2024/7/24 - 13:21
 */

@Mapper
public interface MaReceiveMapper {
    int saveDataReceiveInfo(DataReceiveInfo dataReceiveInfo);
    int saveDataReceiveDetails(DataReceiveDetail dataReceiveDetail);
    List<DataReceiveInfo> getDataReceive(DataReceiveInfo dataReceiveInfo);

    List<DataReceiveDetail> getDataReceiveDetails(DataReceiveDetail dataReceiveDetail);
    List<DataReceiveDetail> getDataReceiveDetailsById(Integer receiveId);

    int updateStatus(DataReceiveDetail dataReceiveDetail);

    List<DataReceiveDetail> getDateReceiveMachine(DataReceiveDetail dataReceiveDetail);

    int updateInfoStatus(Integer id);
}
